<div *ngIf="jeu">
  <h2>{{ jeu.nom }}</h2>
  <form [formGroup]="formulaire" (ngSubmit)="soumettre()" #form='ngForm'>
    <div class="mb-3">
      <label for="nom" class="form-label">Nom: </label>
      <input id="nom" type="text" class="form-control" formControlName="nom"
             [class.is-invalid]="nom?.invalid && form.submitted">
      <div class="invalid-feedback">
        <div *ngIf="nom?.errors?.['required']">
          Le nom du jeu est requis
        </div>
        <div *ngIf="nom?.errors?.['nomJeuExiste']">
          Ce jeu existe déjà
        </div>
      </div>
    </div>

    <div class="mb-3">
      <label for="description" class="form-label">Description: </label>
      <textarea id="description" class="form-control" formControlName="description"
                [class.is-invalid]="description?.invalid && form.submitted">
      </textarea>
      <div class="invalid-feedback">
        <div *ngIf="description?.errors?.['required']">
          La description est requise
        </div>
        <div *ngIf="description?.errors?.['minlength']">
          La description doit contenir au moins 50 caractères
        </div>
      </div>
    </div>

    <button type="submit" class="btn btn-primary">Soumettre</button>
  </form>
</div>
